Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class WinNT.HANDLE

    java.lang.Object
      com.sun.jna.PointerType
          com.sun.jna.platform.win32.WinNT.HANDLE

All Implemented Interfaces:
  com.sun.jna.NativeMapped

Direct Known Subclasses:
  WinDef.HBITMAP, WinDef.HDC, WinDef.HFONT, WinDef.HICON, WinDef.HINSTANCE, WinDef.HMENU, WinDef.HPALETTE, WinDef.HPEN, WinDef.HRGN, WinDef.HRSRC, WinDef.HWND, WinReg.HKEY, WinUser.HHOOK

Enclosing interface:
  WinNT

    public static class WinNT.HANDLE

extends com.sun.jna.PointerType

Handle to an object.

Constructor Summary
`WinNT.HANDLE()`
`WinNT.HANDLE(com.sun.jna.Pointer p)`

Method Summary
`java.lang.Object` | `fromNative(java.lang.Object nativeValue, com.sun.jna.FromNativeContext context)` Override to the appropriate object for INVALID_HANDLE_VALUE.
`void` | `setPointer(com.sun.jna.Pointer p)`

Methods inherited from class com.sun.jna.PointerType
`equals, getPointer, hashCode, nativeType, toNative, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WinNT.HANDLE

    public WinNT.HANDLE()

### WinNT.HANDLE

    public WinNT.HANDLE(com.sun.jna.Pointer p)

Method Detail

### fromNative

    public java.lang.Object fromNative(java.lang.Object nativeValue,
                                       com.sun.jna.FromNativeContext context)

  Override to the appropriate object for INVALID_HANDLE_VALUE.

  Specified by:
    `fromNative` in interface `com.sun.jna.NativeMapped`
  Overrides:
    `fromNative` in class `com.sun.jna.PointerType`

### setPointer

    public void setPointer(com.sun.jna.Pointer p)

  Overrides:
    `setPointer` in class `com.sun.jna.PointerType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD